import fetch from 'isomorphic-fetch';
import * as actionTypes from '../actiontype/reportDamage';
import actionTypes_error from "../actiontype/error";
let domain = ENV.domain;
const fakeJson = {
    "meta": {
        "code": "200",
        "message": "成功",
        "success": true
    },
    "data": [
        {
            "warehouseId": 21,
            "skuId": 972,
            "inventoryId": 5519,
            "outBatchSkuId": 0,
            "outBatchSkuStatus": 0,
            "count": 1,
            "lossDatetime": 1531449705000,
            "type": "故障检查任务，新发现非已知损耗",
            "dealType": "未处理",
            "packingStatus": "包装完整",
            "lossPosition": "机械手平台",
            "lossImagePaths": [

            ],
            "taskId": 111,
            "skuPassId": 0,
            "skuBaseInfoVo": {
                "skuId": 972,
                "skuNumber": "UB000972",
                "skuName": "怡宝饮用纯净水",
                "skuImagePath": "http://static.mjitech.com/static/sku/0/0/972/1503296770206.jpg",
                "barcode": "6901285991219",
                "skuAttributesVoList": [
                    {
                        "name": "净含量",
                        "value": "555",
                        "unit": "ml"
                    }
                ]
            }
        },
        {
            "warehouseId": 21,
            "skuId": 972,
            "inventoryId": 5519,
            "outBatchSkuId": 0,
            "outBatchSkuStatus": 0,
            "count": 1,
            "lossDatetime": 1531449705000,
            "type": "故障检查任务，新发现非已知损耗",
            "dealType": "未处理",
            "packingStatus": "包装完整",
            "lossPosition": "机械手平台",
            "lossImagePaths": [

            ],
            "taskId": 111,
            "skuPassId": 0,
            "skuBaseInfoVo": {
                "skuId": 972,
                "skuNumber": "UB000972",
                "skuName": "怡宝饮用纯净水",
                "skuImagePath": "http://static.mjitech.com/static/sku/0/0/972/1503296770206.jpg",
                "barcode": "6901285991219",
                "skuAttributesVoList": [
                    {
                        "name": "净含量",
                        "value": "555",
                        "unit": "ml"
                    }
                ]
            }
        },
        {
            "warehouseId": 21,
            "skuId": 972,
            "inventoryId": 5519,
            "outBatchSkuId": 0,
            "outBatchSkuStatus": 0,
            "count": 1,
            "lossDatetime": 1531449705000,
            "type": "故障检查任务，新发现非已知损耗",
            "dealType": "未处理",
            "packingStatus": "包装完整",
            "lossPosition": "机械手平台",
            "lossImagePaths": [

            ],
            "taskId": 111,
            "skuPassId": 0,
            "skuBaseInfoVo": {
                "skuId": 972,
                "skuNumber": "UB000972",
                "skuName": "怡宝饮用纯净水",
                "skuImagePath": "http://static.mjitech.com/static/sku/0/0/972/1503296770206.jpg",
                "barcode": "6901285991219",
                "skuAttributesVoList": [
                    {
                        "name": "净含量",
                        "value": "555",
                        "unit": "ml"
                    }
                ]
            }
        },
        {
            "warehouseId": 21,
            "skuId": 972,
            "inventoryId": 5519,
            "outBatchSkuId": 0,
            "outBatchSkuStatus": 0,
            "count": 1,
            "lossDatetime": 1531449705000,
            "type": "故障检查任务，新发现非已知损耗",
            "dealType": "未处理",
            "packingStatus": "包装完整",
            "lossPosition": "机械手平台",
            "lossImagePaths": [

            ],
            "taskId": 111,
            "skuPassId": 0,
            "skuBaseInfoVo": {
                "skuId": 972,
                "skuNumber": "UB000972",
                "skuName": "怡宝饮用纯净水",
                "skuImagePath": "http://static.mjitech.com/static/sku/0/0/972/1503296770206.jpg",
                "barcode": "6901285991219",
                "skuAttributesVoList": [
                    {
                        "name": "净含量",
                        "value": "555",
                        "unit": "ml"
                    }
                ]
            }
        },
        {
            "warehouseId": 21,
            "skuId": 972,
            "inventoryId": 5519,
            "outBatchSkuId": 0,
            "outBatchSkuStatus": 0,
            "count": 1,
            "lossDatetime": 1531449705000,
            "type": "故障检查任务，新发现非已知损耗",
            "dealType": "未处理",
            "packingStatus": "包装完整",
            "lossPosition": "机械手平台",
            "lossImagePaths": [

            ],
            "taskId": 111,
            "skuPassId": 0,
            "skuBaseInfoVo": {
                "skuId": 972,
                "skuNumber": "UB000972",
                "skuName": "怡宝饮用纯净水",
                "skuImagePath": "http://static.mjitech.com/static/sku/0/0/972/1503296770206.jpg",
                "barcode": "6901285991219",
                "skuAttributesVoList": [
                    {
                        "name": "净含量",
                        "value": "555",
                        "unit": "ml"
                    }
                ]
            }
        }
    ]
}
const fakeJson2 = {
    "meta": {
        "code": "200",
        "message": "成功",
        "success": true
    },
    "data": [
        {
            "warehouseId": 21,
            "skuId": 972,
            "inventoryId": 5519,
            "outBatchSkuId": 0,
            "outBatchSkuStatus": 0,
            "count": 1,
            "lossDatetime": 1531449705000,
            "type": "故障检查任务，新发现非已知损耗",
            "dealType": "未处理",
            "packingStatus": "包装完整",
            "lossPosition": "机械手平台",
            "lossImagePaths": [

            ],
            "taskId": 111,
            "skuPassId": 0,
            "skuBaseInfoVo": {
                "skuId": 972,
                "skuNumber": "UB000972",
                "skuName": "怡宝饮用纯净水",
                "skuImagePath": "http://static.mjitech.com/static/sku/0/0/972/1503296770206.jpg",
                "barcode": "6901285991219",
                "skuAttributesVoList": [
                    {
                        "name": "净含量",
                        "value": "555",
                        "unit": "ml"
                    }
                ]
            }
        }
    ]
}
export function getReportDamageList (postData) {
    return (dispatch) => {
        let url = String(domain+'/machine_pad/list_all_dealed_invetory_loss/'+postData.taskId+'.json');
        console.log(url)
        fetch(url,{
            credentials : 'include',
            method : 'GET',
            mode : 'cors',
            headers: {
                'content-type':'application/json;charset=UTF-8',
            },
            body : {}

        }).then((response) => response.json())
            .then(
                (json)=>{
                    //处理数据如果
                    if(json.meta.success){
                        dispatch(getReportDamageListSuccess(json.data))
                    }else{
                        dispatch(throwError(json.meta.message))
                    }
                }).catch(e=>{console.error(e)}
        )
    }

}
export function deleteDamageItem(postaData,taskId) {
    return (dispatch) => {
        let url = String(domain+'/machine_pad/delete_invetory_loss_by_saas');
        console.log(url)
        fetch(url,{
            credentials : 'include',
            method : 'POST',
            mode : 'cors',
            headers: {
                'content-type':'application/json;charset=UTF-8',
            },
            body : JSON.stringify(postaData)

        }).then((response) => response.json())
            .then(
                (json)=>{
                    //处理数据如果
                    let success = json.meta.success;
                    if(success){
                        dispatch(getReportDamageList({"taskId":500}))
                    }else{
                        dispatch(throwError(json.meta.message))
                    }
                }
                ).catch(e=>{console.error(e)}
        )
        /* dispatch(initSuccess(fakeJsonData.data))*/
    }
}

function getReportDamageListSuccess(data) {
    console.log("========================")
    return{
        type:actionTypes.INIT_GETDAMGELIST_SUCCESS,
        data
    }
}

function deleteDamageListSuccess(data) {
    console.log("=======================delete===========")
    return{
        type:actionTypes.DELET_DAMAGEITEM_SUCCESS,
        data
    }
}
function throwError(data) {
    return{
        type:actionTypes_error.ADDERRORINFO,
        errMsg:data
    }
}